<?php
if (!defined("WHMCS"))
{
    die("This file cannot be accessed directly");
}


//use WHMCS\Database\Capsule;


function forgingblock_MetaData()
{
    return array('DisplayName' => 'ForgingBlock','APIVersion' => '1.1');
}

function forgingblock_config()
{
    return array(
        'FriendlyName' => array('Type' => 'System','Value' => 'ForgingBlock'),
		 'token' => array('FriendlyName' => 'Token','Type' => 'text','Size' => '25','Description' => 'Enter your ForgingBlock token here'),  
        'trade' => array('FriendlyName' => 'Trade','Type' => 'text','Size' => '25','Description' => 'Enter your ForgingBlock Trade here'),
             
        'testMode' => array('FriendlyName' => 'Test Mode','Type' => 'yesno','Description' => 'Tick to enable test mode'),
    );
}


function forgingblock_link($params)
{
	$systemUrl = $params['systemurl'];	
	$langPayNow = $params['langpaynow'];	
	$moduleName = $params['paymentmethod'];
	$trade = $params['trade'];
	$token = $params['token'];	
	$testMode = $params['testMode'];
	if ($testMode == 'on') $payment_mode = 'test';
	else $payment_mode = 'live';
	
	$amount=$params['amount'];
	$currency = $params['currency'];
	$order_id = $params['invoiceid'];
	$notifyURL = $systemUrl . 'modules/gateways/forgingblock/notify.php?invid='.$params['invoiceid'];
	$returnURL = $systemUrl . 'modules/gateways/forgingblock/return.php?invid='.$params['invoiceid'];
	
	$payAr = array();
	$payAr['currency'] = $currency;
	$payAr['amount'] = round($amount, 2);	
	$payAr['link'] = $returnURL;		
	$payAr['notification'] = $notifyURL;			
	$payAr['order'] = $order_id;				
	
	
	$InvoiceURL =  $systemUrl. 'modules/gateways/forgingblock/payment.php';						

	$htmlOutput .= '<form id="forgingblock_PaymentForm" action="'.$InvoiceURL.'" method="POST">';  
	foreach ($payAr as $key => $val) {			
		$htmlOutput .= "<input type='hidden' name='$key' value='$val'>";
   }
	
	$htmlOutput .= '<input type="submit" value="' . $langPayNow . '" />';	
	if ($_GET['errmsg']) {
		$htmlOutput .= '<p>'.$_GET['errmsg'].'</p>';		
	}
	
	$htmlOutput .= '</form>';	
	return $htmlOutput;

}
